//--------------------------------------------------------------------
//
// Copyright Candle Corporation 2003
//
// This code is the confidential and proprietary property of Candle
// Corporation that is licensed for your internal company use only
// and is not to be reproduced, used, licensed, sold or disclosed
// outside of your corporation except upon written authorization of
// Candle Corporation. The code can be used for internal development,
// test and production applications.  Any unauthorized use,
// duplication, or disclosure is unlawful. You may not sell or license
// this code in any commercial products.
//
// Permission is granted to you to alter the code for your internal
// use only, subject to the following restrictions:
//
// 1. The origin of this software must not be misrepresented; you must
//    not claim that you wrote the code.  If you use this code in
//    conjunction with other code, an acknowledgement is required.
//
// 2. Altered versions of this code must be plainly marked as such,
//    and must not be misrepresented as being the original code.
//
// 3. This notice may not be removed or altered from any source
//    distribution.
//
// This code is provided with RESTRICTED RIGHTS.  Use, duplication or
// disclosure by the Government is subject to restrictions set forth
// in the applicable license agreement and/or Government Data Rights
// Clauses(s), as applicable (including but not limited to DFARS
// 252.227-7013(c)(ii) and FAR 52.227-19(a)(d).  Unpublished-All
// rights reserved under United States Copyright Laws.  Manufacturer
// is Candle Corporation, 100 N. Sepulveda Boulevard, El Segundo, CA 90245.
//
//--------------------------------------------------------------------
// $Id: RomaExcErrorData.java,v 1.1.2.1 2003/10/16 18:47:25 e_dm Exp $
// $Source: /romacvs/root/roma/src/kxc/omodel/java/com/candle/roma/kxc/Attic/RomaExcErrorData.java,v $
//--------------------------------------------------------------------
//
// Module       : RomaExcErrorData.java
//
// Defines      : class RomaExcErrorData
//
//--------------------------------------------------------------------

package com.candle.roma.kxc;


/**
* This class defines the exception error data.
*
* @see RomaError
*/
public final class RomaExcErrorData
{
  /**
  * Returns the error information set by the reporting application.
  */
  public RomaError getError()
  {
     return m_error;
  }

  /**
  * Returns the type of the failed procedure.
  *
  * @return one of the Roma.CALLTYPE_* constants.
  */
  public int getCallType()
  {
     return m_ctype;
  }

  /**
  * Returns the name of the queue on which the failed operation was operating.
  */
  public String getQueueName()
  {
     return m_queue;
  }

  RomaExcErrorData(RomaError er, int ctype, String queue)
  {
    m_error = er;
    m_ctype = ctype;
    m_queue = queue;
  }

  private RomaError m_error = null;
  private String m_queue = "";
  private int m_ctype = 0;
}

