//--------------------------------------------------------------------
//
// Copyright Candle Corporation 1999-2001
//
// This code is the confidential and proprietary property of Candle
// Corporation that is licensed for your internal company use only
// and is not to be reproduced, used, licensed, sold or disclosed
// outside of your corporation except upon written authorization of
// Candle Corporation. The code can be used for internal development,
// test and production applications.  Any unauthorized use,
// duplication, or disclosure is unlawful. You may not sell or license
// this code in any commercial products.
//
// Permission is granted to you to alter the code for your internal
// use only, subject to the following restrictions:
//
// 1. The origin of this software must not be misrepresented; you must
//    not claim that you wrote the code.  If you use this code in
//    conjunction with other code, an acknowledgement is required.
//
// 2. Altered versions of this code must be plainly marked as such,
//    and must not be misrepresented as being the original code.
//
// 3. This notice may not be removed or altered from any source
//    distribution.
//
// This code is provided with RESTRICTED RIGHTS.  Use, duplication or
// disclosure by the Government is subject to restrictions set forth
// in the applicable license agreement and/or Government Data Rights
// Clauses(s), as applicable (including but not limited to DFARS
// 252.227-7013(c)(ii) and FAR 52.227-19(a)(d).  Unpublished-All
// rights reserved under United States Copyright Laws.  Manufacturer
// is Candle Corporation, 201 North Douglas, El Segundo, CA 90245.
//
//--------------------------------------------------------------------
//
// Module       : KxcBuffer.java
//
// Defines      : class KxcBuffer
//
//--------------------------------------------------------------------

/**
* Abstracts KXCBUFFER C API structure as object in the KxcOper parameters pool.
*/

package com.candle.roma.kxc.raw;

public class KxcBuffer extends KxcStruct
{
  private static final String copyrightNotice =
    "Copyright Candle Corporation 1999,2000,2001";
  
  KxcBuffer( KxcOper  oper, 
             int      dataId, 
             int      lengthId )
  {
    super( oper );
    m_dataId    = dataId;
    m_lengthId  = lengthId;
  }
  
  public void setData( byte[] buf )
  {
    m_op[m_dataId] = buf;
  }

  public byte[] data()
  {
    return (byte[])m_op[m_dataId];
  }

  public int dataLength()
  {
    return m_ip[m_lengthId];
  }

  public void setDataLength( int dataLength )
  {
    m_ip[m_lengthId] = dataLength;
  }

  final int m_dataId;
  final int m_lengthId;
}
