//--------------------------------------------------------------------
//
// Copyright Candle Corporation 1999-2001
//
// This code is the confidential and proprietary property of Candle
// Corporation that is licensed for your internal company use only
// and is not to be reproduced, used, licensed, sold or disclosed
// outside of your corporation except upon written authorization of
// Candle Corporation. The code can be used for internal development,
// test and production applications.  Any unauthorized use,
// duplication, or disclosure is unlawful. You may not sell or license
// this code in any commercial products.
//
// Permission is granted to you to alter the code for your internal
// use only, subject to the following restrictions:
//
// 1. The origin of this software must not be misrepresented; you must
//    not claim that you wrote the code.  If you use this code in
//    conjunction with other code, an acknowledgement is required.
//
// 2. Altered versions of this code must be plainly marked as such,
//    and must not be misrepresented as being the original code.
//
// 3. This notice may not be removed or altered from any source
//    distribution.
//
// This code is provided with RESTRICTED RIGHTS.  Use, duplication or
// disclosure by the Government is subject to restrictions set forth
// in the applicable license agreement and/or Government Data Rights
// Clauses(s), as applicable (including but not limited to DFARS
// 252.227-7013(c)(ii) and FAR 52.227-19(a)(d).  Unpublished-All
// rights reserved under United States Copyright Laws.  Manufacturer
// is Candle Corporation, 201 North Douglas, El Segundo, CA 90245.
//
//--------------------------------------------------------------------
//
// Module       : KxcMsgInfo.java
//
// Defines      : class KxcMsgInfo
//
//--------------------------------------------------------------------

package com.candle.roma.kxc.raw;

/**
* Abstracts KXCMSGINFO C API structure as object in the KxcOper parameters
* pool.
*/

public class KxcMsgInfo extends KxcStruct
{
  private static final String copyrightNotice =
    "Copyright Candle Corporation 1999,2000,2001";
  
  public KxcMsgInfo( KxcOper oper )
  {
    super( oper );
    m_workFlow  = new KxcBuffer( oper, WORKFLOW_DATA, WORKFLOW_LENGTH );
    m_exception = new KxcException( oper );
    m_msg       = new KxcMsg( oper );
  }
  
  public int status()
  {
    return m_ip[MSGINFO_STATUS];
  }
  
  public KxcMsg msg()
  {
    return m_msg;
  }
  
  public KxcBuffer workFlow()
  {
    return m_workFlow;
  }
  
  public int themeHandle()
  {
    return m_ip[MSGINFO_HTHEME];
  }
  
  public KxcException exception()
  {
    return m_exception;
  }
  
  private KxcException  m_exception;
  private KxcBuffer     m_workFlow;
  private KxcMsg        m_msg;
}
