//--------------------------------------------------------------------
//
// Copyright Candle Corporation 1999-2001
//
// This code is the confidential and proprietary property of Candle
// Corporation that is licensed for your internal company use only
// and is not to be reproduced, used, licensed, sold or disclosed
// outside of your corporation except upon written authorization of
// Candle Corporation. The code can be used for internal development,
// test and production applications.  Any unauthorized use,
// duplication, or disclosure is unlawful. You may not sell or license
// this code in any commercial products.
//
// Permission is granted to you to alter the code for your internal
// use only, subject to the following restrictions:
//
// 1. The origin of this software must not be misrepresented; you must
//    not claim that you wrote the code.  If you use this code in
//    conjunction with other code, an acknowledgement is required.
//
// 2. Altered versions of this code must be plainly marked as such,
//    and must not be misrepresented as being the original code.
//
// 3. This notice may not be removed or altered from any source
//    distribution.
//
// This code is provided with RESTRICTED RIGHTS.  Use, duplication or
// disclosure by the Government is subject to restrictions set forth
// in the applicable license agreement and/or Government Data Rights
// Clauses(s), as applicable (including but not limited to DFARS
// 252.227-7013(c)(ii) and FAR 52.227-19(a)(d).  Unpublished-All
// rights reserved under United States Copyright Laws.  Manufacturer
// is Candle Corporation, 201 North Douglas, El Segundo, CA 90245.
//
//--------------------------------------------------------------------
//
// Module       : KxcReportCtrl.java
//
// Defines      : class KxcReportCtrl
//
//--------------------------------------------------------------------

package com.candle.roma.kxc.raw;

/**
* Abstracts KXCEPOPTS C API structure as object in the KxcOper parameters
* pool.
*/

public class KxcReportCtrl extends KxcStruct
{
  private static final String copyrightNotice =
    "Copyright Candle Corporation 1999,2000,2001";
  
  KxcReportCtrl( KxcOper oper )
  {
    super( oper );
  }
  
  public void setProfileName( String s )
  {
    m_op[PROFILE_NAME] = s;
  }
  
  public void setDefaultActions( int actions )
  {
    m_ip[DEFAULT_ACTIONS] = actions;
  }
  
  public int defaultActions()
  {
    return m_ip[DEFAULT_ACTIONS];
  }
  
  public int actions()
  {
    return m_ip[ACTIONS];
  }
  
  public void setSyncpoint( int trType, 
                            int trCtx )
  {
    m_ip[TR_TYPE] = trType;
    m_ip[TR_CTX]  = trCtx;
  }
  
  public void setThemeHandle( long hTheme )
  {
    m_lp[HOBJ] = hTheme;
  }
  
  public void setOptions( int opt )
  {
    m_ip[OPT] = opt;
  }
}
