#------------------------------------------------------------------
#
# Module      : kxcjsrca.mak
#
# Description : KXC Java Object Model common makefile, contains
#               targets and file lists for which are common
#               across platforms.
#
# Notes       : Don't use this makefile directly, it is included
#               from the main makefile.
#
#------------------------------------------------------------------
#
# Copyright(C) Candle Corporation, 2001.
#
#------------------------------------------------------------------

#------------------------------------------------------------------
# JNI layer objects and dependencies.
#------------------------------------------------------------------
KXCJNIOBJ=kxcjbnxa.$(O) kxcjnia.$(O) kxcjems.$(O) kxcjobj.$(O)

$(KXCJNIOBJ):kxcjnia.hpp

#------------------------------------------------------------------
# The java class objects to generate.
#------------------------------------------------------------------
KXCJOBJ= \
	$(CCRK)$(D)GetAdapter.class \
	$(CCRK)$(D)PutAdapter.class \
	$(CCRK)$(D)Roma.class \
	$(CCRK)$(D)RomaBaseGetOptions.class \
	$(CCRK)$(D)RomaBasePutOptions.class \
	$(CCRK)$(D)RomaBeRequest.class \
	$(CCRK)$(D)RomaBeResponse.class \
	$(CCRK)$(D)RomaBusinessElement.class \
	$(CCRK)$(D)RomaBusinessFlow.class \
	$(CCRK)$(D)RomaBusinessService.class \
	$(CCRK)$(D)RomaClient.class \
	$(CCRK)$(D)RomaClientRequest.class \
	$(CCRK)$(D)RomaClientResponse.class \
	$(CCRK)$(D)RomaConfig.class \
	$(CCRK)$(D)RomaContext.class \
	$(CCRK)$(D)RomaDirectoryAgent.class \
	$(CCRK)$(D)RomaDirectoryItem.class \
	$(CCRK)$(D)RomaError.class \
	$(CCRK)$(D)RomaErrorInformation.class \
	$(CCRK)$(D)RomaEteInfo.class \
	$(CCRK)$(D)RomaException.class \
	$(CCRK)$(D)RomaExceptionError.class \
	$(CCRK)$(D)RomaExceptionInfo.class \
	$(CCRK)$(D)RomaExceptionMessage.class \
	$(CCRK)$(D)RomaExceptionOptions.class \
	$(CCRK)$(D)RomaExcErrorData.class \
	$(CCRK)$(D)RomaGetOptions.class \
	$(CCRK)$(D)RomaILSData.class \
	$(CCRK)$(D)RomaInteger.class \
	$(CCRK)$(D)RomaLogInformation.class \
	$(CCRK)$(D)RomaMessage.class \
	$(CCRK)$(D)RomaMessageInfo.class \
	$(CCRK)$(D)RomaPutOptions.class \
	$(CCRK)$(D)RomaReportOptions.class \
	$(CCRK)$(D)RomaRetrieveOptions.class \
	$(CCRK)$(D)RomaRoute.class \
	$(CCRK)$(D)RomaSecurityDef.class \
	$(CCRK)$(D)RomaStorable.class \
	$(CCRK)$(D)RomaStorageQueue.class \
	$(CCRK)$(D)RomaStoreOptions.class \
	$(CCRK)$(D)RomaSubject.class \
	$(CCRK)$(D)RomaSyncpointDef.class \
	$(CCRK)$(D)RomaSystemConfig.class \
	$(CCRK)$(D)RomaTheme.class \
	$(CCRK)$(D)RomaThemeInfo.class \
	$(CCRK)$(D)RomaTrailer.class \
	$(CCRK)$(D)RomaWorkflow.class \
	$(CCRK)$(D)RomaWorkflowService.class

# "Raw" java
KXCJOBJRAW= \
	$(CCRKR)$(D)Kxc.class \
	$(CCRKR)$(D)KxcBuffer.class \
	$(CCRKR)$(D)KxcClient.class \
	$(CCRKR)$(D)KxcConnection.class \
	$(CCRKR)$(D)KxcContext.class \
	$(CCRKR)$(D)KxcError.class \
	$(CCRKR)$(D)KxcExcErrData.class \
	$(CCRKR)$(D)KxcExcRomaConf.class \
	$(CCRKR)$(D)KxcExcSysConf.class \
	$(CCRKR)$(D)KxcException.class \
	$(CCRKR)$(D)KxcGetCtrl.class \
	$(CCRKR)$(D)KxcInvalidConnection.class \
	$(CCRKR)$(D)KxcLogData.class \
	$(CCRKR)$(D)KxcMsg.class \
	$(CCRKR)$(D)KxcMsgCtrl.class \
	$(CCRKR)$(D)KxcMsgInfo.class \
	$(CCRKR)$(D)KxcNativeConnection.class \
	$(CCRKR)$(D)KxcNativeInterface.class \
	$(CCRKR)$(D)KxcOper.class \
	$(CCRKR)$(D)KxcPutCtrl.class \
	$(CCRKR)$(D)KxcReportCtrl.class \
	$(CCRKR)$(D)KxcServer.class \
	$(CCRKR)$(D)KxcStruct.class \
	$(CCRKR)$(D)KxcSubError.class
